<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout3}">
<head>
    <meta charset="UTF-8">
    <title>My Attendance </title>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar/sidebar_my::sidebar_my" th:remove="tag">
        sidebar
    </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    <i class="fa fa-calendar-plus" style="color: #9B7536;"></i>
                    My Attendance
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <form method="get">
                    <div class="mb-3 ps-3 bg-transparent">
                        <div class="row">
                            <div class="col-md-6 mb-3 p-3 bg-transparent">
                                <div class="mb-3 row">
                                    <label for="selectsatu" class="col-sm-2 col-form-label">Bulan</label>
                                    <div class="col-sm-10">
                                        <select class="form-select bg-transparent" name="bulan" id="selectsatu">

                                            <option th:each="datas : ${listBulan}"
                                                    th:selected="(${datas} == *{bulanSelected})"
                                                    th:text="${datas.nama}"
                                                    th:value="${datas.nomor}">sdasd</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="row">
                                    <label for="selectdua" class="col-sm-2 bg-transparent col-form-label">Tahun</label>
                                    <div class="col-sm-10">
                                        <select class="form-select bg-transparent" name="tahun" id="selectdua">
                                            <option th:each="datass : ${listTahun}"
                                                    th:selected="(${datass} == *{tahunSelected})"
                                                    th:text="${datass.tahun}"
                                                    th:value="${datass.tahun}">sdasd</option>
                                        </select>
                                    </div>
                                </div>

                            </div>
                            <div class="col-md-6 p-3">
                                <button type="submit" class="btn btn-primary pull-left" id="simpan">Proces</button>
                            </div>
                        </div>

                    </div>
                </form>
            </div>
        </div>


        <div class="row">
            <div class="col-md-12 table-responsive">
                <table class="table table-hover table-striped small">
                    <thead>

                    <tr>
                        <th scope="col" rowspan="2" style="width: 10px" class="border-dark border-start-0 border-end-0 align-middle text-center">No</th>
                        <th scope="col" rowspan="2" class="border-dark border-start-0 border-end-0 align-middle text-center">Date</th>
                        <th scope="col" rowspan="2" class="border-dark border-start-0 border-end-0 align-middle text-center">Day</th>
                        <th scope="col" colspan="3" class="border-dark border-start-0 align-middle text-center">Shift</th>
                        <th scope="col" colspan="2" class="border-dark border-start-0 border-end-0 align-middle text-center">Attendance</th>
                        <th scope="col" rowspan="2" class="border-dark border-start-0 border-end-0 align-middle text-center">Status</th>
                    </tr>
                    <tr>
                        <th scope="col" class="border-dark border-start-0 border-end-0 text-center">Name</th>
                        <th scope="col" class="border-dark border-start-0 border-end-0 text-center">In</th>
                        <th scope="col" class="border-dark border-start-0 text-center">Out</th>
                        <th scope="col" class="border-dark border-start-0 border-end-0 text-center">In</th>
                        <th scope="col" class="border-dark border-start-0 border-end-0 text-center">Out</th>
                    </tr>
                    </thead>
                    <tbody class="align-middle">
                    <tr th:each="dataAttendanceEmployee,row : ${listAttendanceEmployee}" >

                        <td class="text-end border-0" style="background-color: #bbb9bb; color: white" th:if="${dataAttendanceEmployee.getStat() != 'ON'}" th:text="${row.index + 1}">1.</td>
                        <td class="text-end border-0" th:if="${dataAttendanceEmployee.getStat() == 'ON'}" th:text="${row.index + 1}">1.</td>

                        <td class="text-center border-0" style="background-color: #bbb9bb; color: white" th:if="${dataAttendanceEmployee.getStat() != 'ON'}" th:text="${#temporals.format(dataAttendanceEmployee.getTanggal(),'dd-MMM-yyyy')}">BEASISWA</td>
                        <td class="text-center border-0" th:if="${dataAttendanceEmployee.getStat() == 'ON'}" th:text="${#temporals.format(dataAttendanceEmployee.getTanggal(),'dd-MMM-yyyy')}">BEASISWA</td>

                        <td class="text-center border-0" style="background-color: #bbb9bb; color: white" th:if="${dataAttendanceEmployee.getStat() != 'ON'}" th:text="${dataAttendanceEmployee.getHari()}">BEASISWA</td>
                        <td class="text-center border-0" th:if="${dataAttendanceEmployee.getStat() == 'ON'}" th:text="${dataAttendanceEmployee.getHari()}">BEASISWA</td>

                        <td class="text-center border-0" style="background-color: #bbb9bb; color: white" th:if="${dataAttendanceEmployee.getStat() != 'ON'}" th:text="${dataAttendanceEmployee.getShiftName()}">BEASISWA</td>
                        <td class="text-center border-0" th:if="${dataAttendanceEmployee.getStat() == 'ON'}" th:text="${dataAttendanceEmployee.getShiftName()}">BEASISWA</td>

                        <td class="text-center border-0" style="background-color: #bbb9bb; color: white" th:if="${dataAttendanceEmployee.getStat() != 'ON'}" th:text="${dataAttendanceEmployee.getShiftIn()}">BEASISWA</td>
                        <td class="text-center border-0" th:if="${dataAttendanceEmployee.getStat() == 'ON'}" th:text="${dataAttendanceEmployee.getShiftIn()}">BEASISWA</td>

                        <td class="text-center border-0" style="background-color: #bbb9bb; color: white" th:if="${dataAttendanceEmployee.getStat() != 'ON'}" th:text="${dataAttendanceEmployee.getShiftOut()}">BEASISWA</td>
                        <td class="text-center border-0" th:if="${dataAttendanceEmployee.getStat() == 'ON'}" th:text="${dataAttendanceEmployee.getShiftOut()}">BEASISWA</td>

                        <td class="border-0" colspan="2" style="background-color: #bbb9bb; color: white" th:if="${dataAttendanceEmployee.getStat() != 'ON'}">
                            <div class="text-truncate" style="max-width: 150px;" th:if="${dataAttendanceEmployee.getStat() != 'ON'}" th:text="${dataAttendanceEmployee.getWaktuKeluar()}"></div>
                        </td>
                        <td class="text-center border-0" th:if="${dataAttendanceEmployee.getStat() == 'ON'}" th:text="${dataAttendanceEmployee.getWaktuMasuk()}">BEASISWA</td>

<!--                        <td class="border-0" style="background-color: #bbb9bb; color: white" th:if="${dataAttendanceEmployee.getStat() != 'ON'}">-->
<!--                            <div class="text-truncate" style="max-width: 100px;" th:if="${dataAttendanceEmployee.getStat() != 'ON'}" th:text="${dataAttendanceEmployee.getWaktuKeluar()}"></div>-->
<!--                        </td>-->
                        <td class="text-center border-0" th:if="${dataAttendanceEmployee.getStat() == 'ON'}" th:text="${dataAttendanceEmployee.getWaktuKeluar()}">BEASISWA</td>

                        <td class="border-0" style="background-color: #bbb9bb; color: white" th:if="${dataAttendanceEmployee.getStat() != 'ON'}">
                            <div class="text-truncate" style="max-width: 150px;" th:if="${dataAttendanceEmployee.getStat() != 'ON'}" th:text="${dataAttendanceEmployee.getStat()}"></div>
                        </td>
                        <td class="border-0" th:if="${dataAttendanceEmployee.getStat() == 'ON'}">
                            <div th:if="${dataAttendanceEmployee.getStat() == 'ON'}" th:text="${dataAttendanceEmployee.getStat()}"></div>
                        </td>

                    </tr>
                    </tbody>
                </table>
            </div>
            <br />
        </div>
    </main>

</main>
</body>
</html>